﻿using KoloryWPF.Properties;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace KoloryWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            byte r = Settings.Default.R;
            byte g = Settings.Default.G;
            byte b = Settings.Default.B;
            sliderR.Value = r;
            sliderG.Value = g;
            sliderB.Value = b;
            Color kolor = Color.FromRgb(r, g, b);
            panel.Fill = new SolidColorBrush(kolor);
        }

        private void sliderB_ValueChanged_1(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            //panel.Fill = new SolidColorBrush(Colors.BlueViolet);

            Color kolor = Color.FromRgb(
                (byte)sliderR.Value, 
                (byte)sliderG.Value, 
                (byte)sliderB.Value);
            panel.Fill = new SolidColorBrush(kolor);
        }

        private void Window_Closed(object sender, EventArgs e)
        {
            Color kolor = (panel.Fill as SolidColorBrush).Color;
            Settings.Default.R = kolor.R;
            Settings.Default.G = kolor.G;
            Settings.Default.B = kolor.B;
            Settings.Default.Save();
        }
    }
}
